View Issue Details

IDProjectCategoryView StatusLast Update
0000567CaseTalk ModelerModel Validationpublic2015-10-27 23:02
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version 
Target VersionFutureFixed in Version8.2.2 
Summary0000567: Unreferenced tuples should raise a warning
DescriptionTuples entered as part of an OTE may or may not be used in a FTE which substitutes to this OTE. In that case the modeler should warn for un-verbalizable examples.
Additional InformationThe GLR or Validation sometimes removes unused tuple references and asks for a confirmation from the user to keep the removals. This dialog should be surpressed by making the warning explicit.

Also this validation warning should not trigger a violation if the containing OTE was unused and is reported by another rule.
TagsNo tags attached.

Relationships

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2014-12-11 13:32 BCP Software New Issue
2014-12-11 13:32 BCP Software Status new => assigned
2014-12-11 13:32 BCP Software Assigned To => BCP Software
2015-10-27 23:02 BCP Software Status assigned => resolved
2015-10-27 23:02 BCP Software Fixed in Version => 8.2.2
2015-10-27 23:02 BCP Software Resolution open => fixed
2016-01-20 12:59 BCP Software Category Validation => Well Formednes Rules
2016-01-20 13:00 BCP Software Category Well Formednes Rules => Model Validation